Subject: Re: Pine/Imap on trusted HPUX 10.01

From: Mark Crispin <[email-masked]>
Date: Wed, 16 Oct 1996 21:42:00 -0700

Get a copy of imap-4 from
	ftp://ftp.cac.washington.edu/mail/imap.tar.Z
and build using the "shp" port instead of "hpp".

On Wed, 16 Oct 1996, Virtual Joe wrote:

> Has anyone successfully compiled the IMAP daemon for a trusted HPUS 10.01
> system yet? I am having the hardest time making this work (my C skills are
> mostly non-existent!).
> 
> I tried adding:
> 	#include <hpsecurity.h>
> 	#include <prot.h>
> to the imapd.c file as well as changing the "getpwnam" and "getpwuid" to
> "getprpwnam" and "getprpwuid" repsectively. I also added "-lsec" to the
> CFLAGS in the Makefile. These are my errors:
> 
> cc: "imapd.c", line 168: error 1588: "pw_name" undefined.
> cc: "imapd.c", line 168: error 1531: Invalid member of struct or union.
> *** Error exit code 1
> 
> Stop.
> 
> This is line 168 (with "getprpwuid" included by me):
> 
>     if (!(s = (char *) getlogin ())) s = (getprpwuid (i))->pw_name;
> 
> I changed "pw_name" to "fd_name" but got the same error for "fd_name".
> 
> Does anyone know C well enough to help me with this? I can supply the code
> I am using as well as a fresh set, untouched by me, if necessary.
> 
> Also, is there an imap newsgroup? I cannot seem to find one.
> 
> Thank you for any help! I am quite desperate....I will make the code
> publicly available when it works so that others will not have to go
> through what I am now. Feel free to email me personally if you choose.
> Thanks again...laters...
> 
> *:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*
> *:  Joe Ducharme                 [email-masked]      :* 
> *:  Creighton University         Omaha, NE USA  68178      :*  
> *:  <<Virtual Joe  -=> http://www.creighton.edu/~jduche/>> :*
> *: "Time flies like an arrow, Fruit flies like a banana."  :*
> *:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*:*
> 
> 
> 

-- Mark --	Read http://www.imap.org for the "best kept secret in email"

DoD #0105, R90/6 pilot, FAX: (206) 685-4045  ICBM: N 47 39'35" W 122 18'39"
Science does not emerge from voting, party politics, or public debate.